> For the complete documentation index, see [llms.txt](https://docs.papaya.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papaya.fi/v1/papaya-dao/voting-power.md).

# Voting Power

Voting power is weighted based on the amount of sBTC and STX tokens staked by a voter. The more tokens a user has staked to the protocol, the greater their voting power and influence in the decision-making process.

The specific formula for calculating voting power is as follows, given:

$$H\_{s}$$: A users stSTX holdings\
$$H\_b$$: A users BTC holdings\
$$V\_s$$: Price of STX\
$$V\_b$$: Price of BTC\
$$R\_{sb}$$: Value Ratio of STX to BTC

The ratio of STX value to Bitcoin value is determined by the STX/BTC swap price determined by an oracle.

$$
R\_{sb} = \frac{V\_b}{V\_s}
$$

Voting power is then determined by:

$$
P\_v = \sqrt{H\_s + R\_{sb} \cdot H\_b}
$$

If a user holds .01 stBTC and 0 stSTX, with a STX price of $0.50 and with a BTC price of $26,000, then:

$$
P\_v = \sqrt{0 + \frac{26,000}{0.5} \cdot 0.01 } = 22
$$

The square root formula is used to ensure that voting power is distributed in a relatively proportional manner, while also preventing any one user from dominating the decision-making process. This is intended to promote decentralization and ensure that the protocol is governed in the best interests of the entire community.

{% hint style="info" %}
The voting power formula is subject to change based on the governance decisions made by the community through the voting process. For example, the community could vote to adjust the formula or to implement a different mechanism for weighting votes.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.papaya.fi/v1/papaya-dao/voting-power.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
